#include <Item/IEquipment.hpp>
#include <Widget/Panel/Panel.hpp>

IEquipment::MapLevel IEquipment::getMapLevel()
{
    return MapLevel::None;
}

float IEquipment::generateThrust(ItemStack &stack)
{
    return 0.0f;
}

float IEquipment::generateAcceleration(ItemStack &stack)
{
    return 0.0f;
}

int IEquipment::pullFluidForEquipment(ItemStack &stack, std::string fluidName, int maxAmount)
{
    return 0;
}

void IEquipment::onPlayerUpdating(Player &player, ItemStack &stack)
{
    // NOP
}

std::string IEquipment::getGadgetControllerID()
{
    return "";
}